Package org.sqlite.util

## Interface Logger

    public interface Logger

A simple internal Logger interface.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `error​(String format, Object o1, Object o2, Throwable t)`
`void` `error​(String format, Object o1, Throwable t)`
`void` `error​(String message, Throwable t)`
`void` `info​(String format, Object o1, Object o2)`
`boolean` `isTraceEnabled()`
`void` `trace​(String format, Object o1, Object o2)`
`void` `warn​(String msg)`

### Method Detail

#### isTraceEnabled

    boolean isTraceEnabled()

#### trace

    void trace​(String format,
               Object o1,
               Object o2)

#### info

    void info​(String format,
              Object o1,
              Object o2)

#### warn

    void warn​(String msg)

#### error

    void error​(String message,
               Throwable t)

#### error

    void error​(String format,
               Object o1,
               Throwable t)

#### error

    void error​(String format,
               Object o1,
               Object o2,
               Throwable t)